Subject: RE: [Enum] Summary on NoPSTN dicussion#

From: "Stastny Richard" <[email-masked]>
Date: Thu, 25 Mar 2004 16:20:50 +0100

Clive said:

> >Of course, e164w.arpa would be sufficient.
> 
> But this requires a second SLD, which *will* lead to arguments. The
> advantage of w.e164.arpa is that it's more information in the same tree;
> otherwise people are going to say "why should we expect it to stop at
> two SLDs?" or even "as well as e164w.arpa, we clearly need e164.com". This
> is a can of worms we don't need to have opened.
[Richard>] I really do not care if it is w.e164.arpa or e164w.arpa,
most ENUM clients accept both of it, as long as the rest of the chain
is not broken. If you consider it easier to implement w.e164.arpa - fime.

BTW, who do you think will be responsible for making this decision?
> 
> Doing it my way also establishes a precedent for other reference
> information in the tree. For example, tier 1 registries could use
> registry.<N>.e164.arpa (e.g. r.4.4.e164.arpa) for number-independent stuff
> (in the same way that nic.<CCTLD> is used to refer to the current NIC for
> the country).
[Richard>] 
With this solution there will be a similar problem with nic.<cctLD>, not all
ccTLD are following this convention and that why RIPE proposed to introduce
and SRV record e.g. to point to the WHOIS domain.

The problem is similar to the problem where to put the MX record. You need
to know the length of the country code (this is the easy part, you get it
from the ITU-T webpage, but you still need to administer it). In addition, 
if a country decides to use different tier 1 or a two layered tier 1, you 
will get a problem. This will be especially the case in the NANPA.

Regards
Richard

> 
> --
> Clive D.W. Feather  | Work:  <[email-masked]>   | Tel:    +44 20 8495
> 6138
> Internet Expert     | Home:  <[email-masked]>  | *** NOTE CHANGE ***
> Demon Internet      | WWW: http://www.davros.org | Fax:    +44 870 051
> 9937
> Thus plc            |                            | Mobile: +44 7973 377646

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum